# PaymentContext class

Contains information about a payment, like its AmountOfMoney and countryCode.

Annotations
  - @JsonSerializable(explicitToJson: true)

## Constructors

PaymentContext(AmountOfMoney amountOfMoney, String countryCode, bool isRecurring, {bool forceBasicFlow = false})
PaymentContext.fromJson(Map<String, dynamic> json)
  factory

## Properties

amountOfMoney ↔ AmountOfMoney
  read / write
countryCode ↔ String
  Country code of the Country where the transaction will take place, should match the ISO-3166-alpha-2 standard.
  read / write
forceBasicFlow ↔ bool
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
isRecurring ↔ bool
  read / write
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

copyWith({AmountOfMoney? amountOfMoney, String? countryCode, bool? isRecurring, bool? forceBasicFlow}) → PaymentContext
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited